// Eg10_1Set.cpp : implementation of the CEg10_1Set class
//

#include "stdafx.h"
#include "Eg10_1.h"
#include "Eg10_1Set.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEg10_1Set implementation

IMPLEMENT_DYNAMIC(CEg10_1Set, CRecordset)

CEg10_1Set::CEg10_1Set(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CEg10_1Set)
	m_Maths = 0;
	m_Name = _T("");
	m_Stuno = 0;
	m_English = 0;
	m_nFields = 4;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}

CString CEg10_1Set::GetDefaultConnect()
{
	return _T("ODBC;DSN=student");
}

CString CEg10_1Set::GetDefaultSQL()
{
	return _T("[student]");
}

void CEg10_1Set::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CEg10_1Set)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[ΚύΡ§]"), m_Maths);
	RFX_Text(pFX, _T("[ΠΥΓϋ]"), m_Name);
	RFX_Long(pFX, _T("[Ρ§ΊΕ]"), m_Stuno);
	RFX_Long(pFX, _T("[ΣΆΣο]"), m_English);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CEg10_1Set diagnostics

#ifdef _DEBUG
void CEg10_1Set::AssertValid() const
{
	CRecordset::AssertValid();
}

void CEg10_1Set::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
